Subject: bug#53916: 29.0.50; pgtk: Gtk-WARNING with popup menu

From: Po Lu <[email-masked]>
Date: Fri, 11 Feb 2022 14:24:07 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> But I don't know whether or not it's okay to treat all warnings that
>> way.  For example, bug#53900 is a serious bug that got caught by someone
>> noticing a warning emitted by GTK, and presumably wouldn't have been
>> reported if the warning had been filtered out.
>
> That's true.  Perhaps redirecting the messages to *Messages* instead of
> stderr (and do no filtering per default?) is a better solution indeed.
> (I think the having the warnings in the terminal looks a bit
> unprofessional and untidy, so keeping them inside Emacs would help.)

Great, does anyone know what "%s" parameters to `add_to_log' are
expected in?  UTF-8?

Thanks in advance.